#include once "window9.bi"

Sub SetWindowProperty(hWin As HWND , sKey As UString , pValue As Any Ptr)
    
    #ifdef UNICODE
        SetProp(hWin , *sKey , pValue)
    #else
        SetProp(hWin , Strptr(sKey) , pValue)
    #EndIf
    
End Sub

Function GetWindowProperty(hWin As HWND , sKey As UString) As Any Ptr
    
    #ifdef UNICODE
        Return GetProp(hWin , *sKey)
    #else
        Return GetProp(hWin , Strptr(sKey))
    #EndIf
    
End Function

Sub DeleteWindowProperty(hWin As HWND , sKey As UString)
    
    #ifdef UNICODE
        RemoveProp(hWin , *sKey)
    #else
        RemoveProp(hWin , Strptr(sKey))
    #EndIf
    
End Sub